# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBPropertyDelta

Packages that use IDBPropertyDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.

## Uses of IDBPropertyDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBPropertyDelta
Modifier and Type
Method
Description
`<T> IDBPropertyDelta<T>`
IDBDeltaWithProperties.`getPropertyDelta(String name)`
`IDBPropertyDelta<?>[]`
IDBDeltaWithProperties.`getPropertyDeltasSortedByName()`
Methods in org.eclipse.net4j.db.ddl.delta that return types with arguments of type IDBPropertyDelta
Modifier and Type
Method
Description
`Map<String,IDBPropertyDelta<?>>`
IDBDeltaWithProperties.`getPropertyDeltas()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBPropertyDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBPropertyDelta<?> delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBPropertyDelta<?> delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBPropertyDelta<?> delta)`
`void`
IDBDeltaVisitor.`visit(IDBPropertyDelta<?> delta)`